# fitevd

Usage: fitevd <q> [options]

Description:

`fitevd` fits an extreme value distribution to a set of score-length paris with a query length of `<q>`.

Input:

- Reads white-space separated score-length pairs from `stdin`

Output:

- Writes the EVD parameters to `stdout`.

Options:

- `-d <smin> <smax>` - Print length vs p-value for `<smin> <= score <= <smax>`.
- `-h <H>` - Initial value of H. Default value: 1.0.
- `-ilh <ilh>` - Maximum iterations in outer L-H loop. Default value: 10.
- `-inr <inr>` - Maximum iterations in inner N-R loop. Default value: 20.
- `-lr <lr>` - Minimum ration of shortest to longest in group. Default value: 1.50.
- `-p <n>` - Print p-values. Default value: off.
- `-r <n>` - use `<n>` randomly selected scores. Default value: all.
- `-s <s>` - Size of length groups. Default value: 10000.
- `-t` - Turn on debug tracing. Default value: off.

Bugs: None known.

Author: Tim Bailey